// TestProgDoc.h : interface of the CTestProgDoc class
//


#pragma once


class CTestProgSrvrItem;

class CTestProgDoc : public COleServerDoc
{
protected: // create from serialization only
	CTestProgDoc();
	DECLARE_DYNCREATE(CTestProgDoc)

// Attributes
public:
	CTestProgSrvrItem* GetEmbeddedItem()
		{ return reinterpret_cast<CTestProgSrvrItem*>(COleServerDoc::GetEmbeddedItem()); }

// Operations
public:

// Overrides
protected:
	virtual COleServerItem* OnGetEmbeddedItem();
public:
	virtual BOOL OnNewDocument();
	virtual void Serialize(CArchive& ar);

// Implementation
public:
	virtual ~CTestProgDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
};


